From: Ido Schimmel <[email protected]>

Merely checking whether a trap counter incremented or not without
logging a test result is useful on its own. Split this functionality to
a helper which will be used by subsequent patches.

Signed-off-by: Ido Schimmel <[email protected]>
Reviewed-by: Petr Machata <[email protected]>
Signed-off-by: Petr Machata <[email protected]>
---
 .../selftests/net/forwarding/devlink_lib.sh   | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

diff --git a/tools/testing/selftests/net/forwarding/devlink_lib.sh 
b/tools/testing/selftests/net/forwarding/devlink_lib.sh
index 601990c6881b..f1de525cfa55 100644
--- a/tools/testing/selftests/net/forwarding/devlink_lib.sh
+++ b/tools/testing/selftests/net/forwarding/devlink_lib.sh
@@ -503,25 +503,30 @@ devlink_trap_drop_cleanup()
        tc filter del dev $dev egress protocol $proto pref $pref handle $handle 
flower
 }
 
-devlink_trap_stats_test()
+devlink_trap_stats_check()
 {
-       local test_name=$1; shift
        local trap_name=$1; shift
        local send_one="$@"
        local t0_packets
        local t1_packets
 
-       RET=0
-
        t0_packets=$(devlink_trap_rx_packets_get $trap_name)
 
        $send_one && sleep 1
 
        t1_packets=$(devlink_trap_rx_packets_get $trap_name)
 
-       if [[ $t1_packets -eq $t0_packets ]]; then
-               check_err 1 "Trap stats did not increase"
-       fi
+       [[ $t1_packets -ne $t0_packets ]]
+}
+
+devlink_trap_stats_test()
+{
+       local test_name=$1; shift
+
+       RET=0
+
+       devlink_trap_stats_check "$@"
+       check_err $? "Trap stats did not increase"
 
        log_test "$test_name"
 }
-- 
2.35.3

Reply via email to